//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.Server
{
    [Serializable]
    public class SpeechGoal : Message
    {
        public const string k_RosMessageName = "hlrc_server/speechGoal";
        public override string RosMessageName => k_RosMessageName;

        public string text;

        public SpeechGoal()
        {
            this.text = "";
        }

        public SpeechGoal(string text)
        {
            this.text = text;
        }

        public static SpeechGoal Deserialize(MessageDeserializer deserializer) => new SpeechGoal(deserializer);

        private SpeechGoal(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.text);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.text);
        }

        public override string ToString()
        {
            return "SpeechGoal: " +
            "\ntext: " + text.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Goal);
        }
    }
}
